Subject: Re: [PATCH][PPC32] mv64x60 updates

From: "Dale Farnsworth" <[email-masked]>
Date: Sat, 5 Mar 2005 15:51:28 -0700

On Sat, Mar 05, 2005 at 09:32:54PM +0100, Sven Luther wrote:
> On Sat, Mar 05, 2005 at 08:27:52PM +0100, Sven Luther wrote:
> > On Thu, Feb 24, 2005 at 10:24:20AM -0700, Dale Farnsworth wrote:
> > > See bk://dfarnsworth.bkbits.net/linux-2.5-mv643xx-enet
> > 
> > I guess i need to look there, as in mainline 2.6.11, there doesn't seem to be
> > direct related code between the ppc specific mv64x60 stuff, and the mips
> > related ethernet one.
> 
> Ok, i think that did it, and i have a 200kb diff against 2.6.11 :) Many of
> those are just 64340-> 643xx replacements though.

Yes, renames and Lindent make for big diffs.

> What are your plans for mainline inclusion of the rest of those, and is it ok

I've submitted it for mainline inclusion.  Jeff Garzik put it in
netdev-2.6 (and thus in the mm patches) for testing and it's on track
for going into mainline.  I hope it will happen in the next few days,
but that's up to Jeff.

> to work directly with your stuff ? Do you have any experimental or dangerous
> parts in the above ? And did you ever get the gigabit ethernet port working on
> a powerpc board ? Or are there some Kconfig parts i have missed ?

By all means, try it.  Several people are using it without complaints, but
I'd appreciate your feedback.  There isn't anything dangerous in there.
Gigabit works for me.  I'm not sure what Kconfig parts would be needed
specifically for gigabit support.

Updates are coming though.  James Chapman has sent me several patches
that provide: use of the mii library for phy management, additional
ethtool support, message level support, compile fix for non-NAPI, and
much cleanup.  We're working the kinks out now and I expect to submit
these patches in the next few days.

Thanks,
-Dale